### Function

# Ggit Ref is_valid_name

#### Declaration [src]

    gboolean
    ggit_ref_is_valid_name (
      const gchar* name
    )

#### Description [src]

Check if the given `name` is a valid name for a reference. Note that `name` should be the full ref name (including prefixes).

Valid toplevel names can contain only capital letters and underscores and must start and end with a letter (e.g. HEAD, ORIG_HEAD).

Valid refs/ names may contain any characters, except ‘~’, ‘^’, ‘:’, ‘', ‘?’, ‘[‘, ‘*’, “..” and “@{“, because they are interpreted by revparse.

#### Parameters

`name`

  Type: `const gchar*`

  The name to validate.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `name` is valid, `FALSE` otherwise.